## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://developers.dwolla.com/llms.txt)

Use this file to discover all available pages before exploring further.

### POST

`https://api.dwolla.com/beneficial-owners/{id}/documents`

### cURL

```bash
curl -X POST \
 -H "Authorization: Bearer tJlyMNW6e3QVbzHjeJ9JvAPsRglFjwnba4NdfCzsYJm7XbckcR" \
 -H "Accept: application/vnd.dwolla.v1.hal+json" \
 -H "Cache-Control: no-cache" \
 -H "Content-Type: multipart/form-data; boundary=----WebKitFormBoundary7MA4YWxkTrZu0gW" \
 -F "documentType=passport" \
 -F "file=@foo.png" \
 'https://api-sandbox.dwolla.com/beneficial-owners/1de32ec7-ff0b-4c0c-9f09-19629e6788ce/documents'
```

### Response

#### 201 Created

```http
HTTP/1.1 201 Created
Location: https://api-sandbox.dwolla.com/documents/11fe0bab-39bd-42ee-bb39-275afcc050d0
```

### Authorizations

**Authorization**
- string (header, required): The access token received from the authorization server in the OAuth 2.0 flow.

### Headers

**Accept**
- enum<string> (default:application/vnd.dwolla.v1.hal+json, required): The media type of the response. Must be `application/vnd.dwolla.v1.hal+json`

### Path Parameters

**id**
- string (required): Beneficial owner unique identifier

### Body

**documentType**
- enum<string> (required): Available options: `passport`, `license`, `idCard`, `other`

Example: `"license"`

**file**
- file (required)

### Error Responses

```json
{
  "code": "maximumNumberOfResources",
  "message": "Max of four files upload allowed. Please wait for Dwolla to manually check the documents."
}
```

```json
{
  "code": "Forbidden",
  "message": "The supplied credentials are not authorized for this resource."
}
```

```json
{
  "code": "NotFound",
  "message": "The requested resource was not found."
}
```

```json
{
  "code": "fileTooLarge",
  "message": "Document requests are limited to 10 MiB."
}
```
